package cn.iselab.mooctest.user.service;

import cn.iselab.mooctest.user.model.Integral;
import cn.iselab.mooctest.user.model.User2Integral;
import cn.iselab.mooctest.user.model.UserIntegral;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @Author ROKG
 * @Description
 * @Date: Created in 上午11:42 2018/2/13
 * @Modified By:
 */
public interface IntegralService {

    UserIntegral findByUserId(long userId);

    UserIntegral saveIntegral(UserIntegral userIntegral);

    UserIntegral updateIntegral(UserIntegral userIntegral);

    List<UserIntegral> findPage(String keyword);

    List<User2Integral> findByTime(long userId, long startTime, long endTime);

    User2Integral saveUser2Integral(User2Integral user2Integral);

    List<Integral> findIntegrals();

    User2Integral findIntegralBySource(String source,long userId);

    List<User2Integral> findUserIntegralCaught(long userId, long type, String source);
}
